POST
/
api
/
v1
/
loans
Create loan
curl --request POST \
  --url http://34.170.194.254:8000/api/v1/loans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "loan_ref": "<string>",
  "borrower_ref": "<string>",
  "obligation": {
    "obligation_ref": "<string>",
    "current_loan_holder_ref": "<string>",
    "status": "<string>"
  },
  "rule_set": {
    "ltv_margin_call": 123,
    "ltv_liquidation": 123,
    "margin_call_grace_period": "<string>",
    "frequency_price_observations": 123,
    "additional_rules": {}
  },
  "origination_time": "2023-11-07T05:31:56Z",
  "enforcement_mode": "<string>",
  "idempotency_key": "<string>"
}
'
{
  "loan_ref": "<string>",
  "obligation_ref": "<string>",
  "rule_set_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "idempotent": false,
  "event_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Loan Create Request schema.

loan_ref
string
required

Loan reference provided by the integrating system

borrower_ref
string
required

Borrower reference

obligation
LoanObligationCreate · object
required

Obligation context for this loan

rule_set
LoanRuleSetCreate · object
required

Loan rule set configuration

origination_time
string<date-time>
required

Loan origination timestamp

enforcement_mode
string | null

Enforcement mode applied to this loan

idempotency_key
string | null

Optional idempotency key propagated by caller

Response

Idempotent replay result